コンテンツへスキップ

Ffmpeg Api · Merge Videos

統合

モデルID ffmpeg-api/merge-videos
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ffmpeg-api/merge-videos?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "videos": [
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

1 回の実行につき最大 $0.612 実際の使用量に応じて課金され、残額は返金されます このページで実行

APIキーを取得
Utility 動画変換

URLから2本以上の動画を1つのクリップに結合し、目標フレームレートと出力解像度を任意で指定できます

Utility · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 video_urls
ファイルをドロップ、または

結合する順序で並べた動画URL。

resolution

幅と高さの両方を指定して最終動画の解像度を選択します。範囲は512〜2048です。

詳細設定 target_fps · resolution_aspect_ratio_video_index

出力動画のFPSを設定してデフォルトを上書きします。デフォルトでは入力動画の中で最も低いフレームレートが使用されます。

解像度を指定しない場合にアスペクト比を決める、0から始まる入力動画インデックス。未設定の場合、すべての入力動画から最小の幅と最小の高さを使用します。

POST /run/ffmpeg-api/merge-videos?wait=20 見積もり → $0.612
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ffmpeg-api/merge-videos?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "videos": [
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Ffmpeg Api · Merge Videosについて

`video_urls`に列挙した動画を順番に連結します。最低2本必要です。`target_fps`(1から60)で出力フレームレートを設定し、省略時は最も低い入力フレームレートを使用します。`resolution`(プリセットまたは幅と高さ512から2048のカスタム値)で出力サイズを指定するか、`resolution_aspect_ratio_video_index`で入力動画のサイズを使用できます。結果には結合動画と入力元のメタデータが含まれます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_urls必須 videos
型url[] · video
≥ 2項目
結合する順序で並べた動画URL。
target_fps任意
型number | null
1 – 60
出力動画のFPSを設定してデフォルトを上書きします。デフォルトでは入力動画の中で最も低いフレームレートが使用されます。
resolution任意
型object
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
幅と高さの両方を指定して最終動画の解像度を選択します。範囲は512〜2048です。
resolution_aspect_ratio_video_index任意
型integer | null
≥ 0
解像度を指定しない場合にアスペクト比を決める、0から始まる入力動画インデックス。未設定の場合、すべての入力動画から最小の幅と最小の高さを使用します。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/merge-videos",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 612,
    "usd": "0.612",
    "charged": 612,
    "refunded": 0
  },
  "input": {
    "video_urls": [
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "metadata": {}
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}結合によって生成された動画ファイル。
metadata
object元の動画に関する情報を含む、結合動画のメタデータ。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ffmpeg-api/merge-videos.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt